<?php require_once('../../Connections/cn.php'); ?>
<?php 
//.................................................................................................. 
// Nombre del Script: archivo_6.php
// Llamado desde: imprime_105.php
// Descripción: Permite generar el Archivo 6: Datos sobre el personal académico
//..................................................................................................
$annio=$_GET['annio'];
$ultima_inscripcion='0-0-'.$annio;


mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

$sql = "update docentes,oferta_academica set docentes.status='S' where docentes.id_docente=oferta_academica.id_profesor";
mysql_query($sql, $cn) or die(mysql_error());

$sql = "update docentes set dedicacion='5' where dedicacion=''";
mysql_query($sql, $cn) or die(mysql_error());

$sql = "update docentes set grado_acad='2' where grado_acad=''";
mysql_query($sql, $cn) or die(mysql_error());

// Se define el query de los datos que contendr� el reporte.

$query = "SELECT DISTINCT
'0000000141' as codinstituto,
if(docentes.pais_nacimiento='','296',docentes.pais_nacimiento) AS pais,
docentes.tipo_doc as documento,
docentes.cedula,
docentes.apellidos,
docentes.nombres,
docentes.sexo as genero,
docentes.fecha_nac,
docentes.fecha_ingreso as fecha_ing,
docentes.condicion_laboral as condicion,
docentes.categoria_actual as categoria,
docentes.categoria_inicial as cat_inicial,
docentes.dedicacion,
docentes.grado_acad as titulo,
docentes.profesion,
docentes.dpto_adscripcion as adscripcion,
if(docentes.discapacidad=0 or isnull(docentes.discapacidad),'0','1') as discapacidad,
if(isnull(docentes.discapacidad),'0',docentes.discapacidad) as tipodisc
from docentes,oferta_academica WHERE docentes.id_docente=oferta_academica.id_profesor and oferta_academica.annio='$annio' order by apellidos,nombres";


$r = mysql_query( $query ) or trigger_error( mysql_error($cn), E_USER_ERROR );
$return = '';
if( mysql_num_rows($r)>0){
    $return .= '<table border=1>';
    $cols = 0;
    while($rs = mysql_fetch_row($r)){
        $return .= '<tr>';
        if($cols==0){
            $cols = sizeof($rs);
            $cols_names = array();
            for($i=0; $i<$cols; $i++){
                $col_name = mysql_field_name($r,$i);
	
                   $return .= '<th>'.htmlspecialchars($col_name).'</th>';
                   $cols_names[$i] = $col_name;
			
            }
            $return .= '</tr><tr>';
        }
        for($i=0; $i<$cols; $i++){
            # En esta iteración se personalizan datos.
            if($cols_names[$i] == 'nombres'){ # Formateo el nombre de la institución.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'apellidos'){ # Formateo Código del Instituto
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
            }else if($cols_names[$i] == 'cargo'){ # Formateo del Código Principal
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'correo'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';
			}else if($cols_names[$i] == 'adscripcion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'dedicacion'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'grado_academico'){ # Formateo la descripcion de la materia.
                $return .= '<td>'.utf8_decode($rs[$i]).'</td>';	
			}else if($cols_names[$i] == 'codinstituto'){ # Formateo la descripcion de la materia.
                $return .= '<td>&nbsp;'.utf8_decode($rs[$i]).'</td>';	
			}else{
                $return .= '<td>'.htmlspecialchars($rs[$i]).'</td>';
            }
        }
        $return .= '</tr>';
    }
    $return .= '</table>';
    mysql_free_result($r);
}
#Cambiando el content-type más las <table> se pueden exportar formatos como csv
header("Content-type: application/vnd-ms-excel; charset=iso-8859-1");
header("Content-Disposition: attachment; filename=archivo_6_enahp_".$annio.".xls");
echo $return; 
?>

